Bug 623317 - honeyd may need to be rebuilt against Python 2.7 in F14 and rawhide
Summary: honeyd may need to be rebuilt against Python 2.7 in F14 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: honeyd
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 623233
Blocks: Python27Rebuild
TreeView+ depends on / blocked
 
Reported: 2010-08-11 18:32 UTC by Dave Malcolm
Modified: 2010-09-22 12:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-22 12:20:16 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2010-08-11 18:32:24 UTC
This is an automatically-filed bug.

honeyd-1.5c-9.fc14 contains one or more .pyc files, but has not been rebuilt since Python 2.7 was built for Fedora, and thus the .pyc files presumably are for Python 2.6.  Python 2.7 changed the bytecode format, so usage of those files will typically fail (see e.g. bug 621726).

The package needs to be rebuilt against python 2.7 in both F14 and devel.

Information on the new "dist-git" system can be seen here:
  http://fedoraproject.org/wiki/Using_Fedora_GIT

Information on common difficulties with Python 2.7 rebuilds can be seen here:
  https://fedoraproject.org/wiki/Features/Python_2.7

Once it's been successfully rebuilt for F14, an update needs to be filed to get the rebuild into F14:
  https://admin.fedoraproject.org/updates/new/

Please add this bug to the update, to make it easy to track what's been done, and what's left to do.

I'm sorry that this component was not handled by the mass rebuild.  (This may be due to bug 623233)

Comment 1 Dave Malcolm 2010-08-12 00:26:55 UTC
I tried to rebuild this, but it failed:
http://koji.fedoraproject.org/koji/getfile?taskID=2394868&name=build.log

+ echo 'Patch #1 (honeyd-1.5c-gcc.patch):'
Patch #1 (honeyd-1.5c-gcc.patch):
+ /bin/cat /builddir/build/SOURCES/honeyd-1.5c-gcc.patch
+ /usr/bin/patch -s -p1 -b --suffix .gcc --fuzz=0
1 out of 5 hunks FAILED -- saving rejects to file arpd/arpd.c.rej
error: Bad exit status from /var/tmp/rpm-tmp.7x1pf1 (%prep)

Comment 2 Peter Vrabec 2010-09-22 12:20:16 UTC
done


Note You need to log in before you can comment on or make changes to this bug.